%define upstream_name    Perl-Destruct-Level
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Allow to change perl's destruction level
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module allows to change perl's internal _destruction level_.

The default value of the destruct level is 0; it means that perl won't
bother destroying all its internal data structures, but let the OS do the
cleanup for it at exit.

For perls built with debugging support ('-DDEBUGGING'), an environment
variable 'PERL_DESTRUCT_LEVEL' allows to control the destruction level.
This modules enables to modify it on non-debugging perls too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Dec 03 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 175520
- imported package perl-Perl-Destruct-Level


* Sat Dec 03 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
